> ## Documentation Index
> Fetch the complete documentation index at: https://docs.irisagent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload articles

> Send knowledge base articles for AI training via this API



## OpenAPI

````yaml /api-reference/openapi.json post /v1/articles
openapi: 3.0.3
info:
  title: IrisAgent's API Reference
  description: >
    IrisAgent service can be used as an API to power intelligent conversations
    and search, index, and connect with your internal and external knowledge
    articles, tickets, community forums, product documentation,

    and other informational content.
  version: 1.2.0
servers:
  - url: https://api1.irisagent.com
security:
  - bearerAuth: []
paths:
  /v1/articles:
    post:
      summary: Upload articles
      description: Send knowledge base articles for AI training via this API
      operationId: uploadArticles
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArticlesUploadRequest'
      responses:
        '200':
          description: Articles uploaded successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArticlesResponse'
        '400':
          description: Bad request - invalid input
        '401':
          description: Unauthorized - invalid credentials
        '403':
          description: Forbidden - insufficient permissions
components:
  schemas:
    ArticlesUploadRequest:
      type: object
      properties:
        articles:
          type: array
          items:
            $ref: '#/components/schemas/Article'
      required:
        - articles
    ArticlesResponse:
      type: object
      properties:
        result:
          type: string
          enum:
            - success
            - partial
      required:
        - result
    Article:
      type: object
      properties:
        articleId:
          description: Unique article ID of the article, for example "article-01"
          type: string
        url:
          description: Unique URL of the article
          type: string
          format: uri
        title:
          description: Title of the article
          type: string
        body:
          description: The full body of the article in markdown or HTML format
          type: string
        timeOfCreation:
          description: Epoch time in milliseconds of when the article was created
          type: integer
          format: int64
        timeLastPublished:
          description: Epoch time in milliseconds of when the article was last modified
          type: integer
          format: int64
        language:
          description: Language of the article in ISO 639-1 format (e.g., en, fr, de)
          type: string
          format: iso-639-1
      required:
        - articleId
        - url
        - title
        - body
        - timeOfCreation
        - timeLastPublished
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |
        The `Authorization` header is required to authenticate API requests.
        It should contain a bearer token obtained through the IrisAgent portal.

````